=== debian/changelog ===
fontforge (1:20220308~dfsg-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Drop Rogério Brito from uploaders list. (Closes: #994659)

  [ Anthony Fok ]
  * New upstream version 20220308~dfsg
  * Add 20120731.b-{6,7,7.1,7.2} changelog entries
    from Nov 2015 to Apr 2016 that were missing partly due to the failed
    (forgotten? ignored?) switch from master to debian/sid branch
  * Add Jonas Smedegaard’s copyright file contributions (which I overlooked)
    to the 1:20201107~dfsg-2 changelog entry
  * Refresh Debian patches:
    - 0001-add-extra-cmake-install-rules.patch: Upstream now installs
      cidmaps by default (Thanks to Fredrick Brennan for the fix!)
    - 0004-hurd-PATH_MAX-and-MAXPATHLEN.patch: Finally forwarded upstream
      at https://github.com/fontforge/fontforge/pull/5046
    - 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch:
      Resolve conflicts and rename more "extended" to "extendeddbl"
  * Replace 0005-hurd-rename-extended-to-avoid-conflict-with-gnumach-dev.patch
    with a much simpler 0005-hurd-undef-extended-temporarily.patch
    that "#undef extended" temporarily to circumvent the name collision
    issue on Hurd.  See https://github.com/fontforge/fontforge/pull/5047
  * Update fontforge-common.install and fontforge-extras.install
    - Stop installing app icon in legacy /usr/share/pixmaps location
      (see upstream commit 6b4ab5a)
    - cidmaps have been moved from /usr/share/fontforge/ to
      /usr/share/fontforge/cidmap/ (see commit f97a2cd)
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Thu, 16 Jun 2022 04:08:43 -0600

fontforge (20120731.b-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix undefined symbols when using libpng16. (Closes: #820598)

 -- James Cowgill <jcowgill@debian.org>  Sat, 16 Apr 2016 01:05:09 +0100
