## fontforge 20230101~dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.5)
 
 # Update the version for each new release
-project(fontforge VERSION 20220308 LANGUAGES C CXX)
+project(fontforge VERSION 20230101 LANGUAGES C CXX)
 
 # No in source builds
 if("${PROJECT_SOURCE_DIR}" STREQUAL "${PROJECT_BINARY_DIR}")
@@ -108,7 +108,11 @@
 find_package(Freetype 2.3.7 REQUIRED)
 find_package(Gettext REQUIRED)
 find_package_with_target(Intl REQUIRED)
-find_package(GLIB 2.6 REQUIRED COMPONENTS gio gobject)
+if(UNIX AND NOT APPLE)
+  find_package(GLIB 2.6 REQUIRED COMPONENTS gio gobject)
+else()
+  find_package(GLIB 2.58 REQUIRED COMPONENTS gio gobject)
+endif()
 find_package(Iconv REQUIRED)
 find_package(LibXml2 REQUIRED)
 find_package(MathLib REQUIRED)
