=== debian/changelog ===
fontforge (1:20230101~dfsg-8) unstable; urgency=medium

  * Team upload
  * Drop non-free multiple master font code (See: #665334)
  * Document Apache-2.0 license in fontforge/othersubrs.c

 -- Bastian Germann <bage@debian.org>  Mon, 22 Sep 2025 20:21:04 +0200

fontforge (1:20230101~dfsg-7) unstable; urgency=medium

  * Team upload.
  * libfontforge4 needs a runtime dependency on python3-pkg-resources
    to work properly (See: #1095130)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 14:36:17 +0200

fontforge (1:20230101~dfsg-6) unstable; urgency=medium

  * Team upload.
  * python3-fontforge needs a runtime dependency on python3-pkg-resources
    to work properly (See: #1095130)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 17 Sep 2025 14:03:47 +0200

fontforge (1:20230101~dfsg-5) unstable; urgency=medium

  * Team upload.
  * Remove obsolete debian/README.source

  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #983666)

  [ Jonas Smedegaard ]
  * remove myself as uploader

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Sep 2025 20:09:11 +0200

fontforge (1:20230101~dfsg-4) unstable; urgency=medium

  * Team upload.
  * debian/control: Add missing build-dependency python3-setuptools to provide
    distutils module. (Closes: #1080597)

 -- Boyuan Yang <byang@debian.org>  Thu, 05 Sep 2024 21:07:30 -0400

fontforge (1:20230101~dfsg-3) unstable; urgency=medium

  * debian/control: Drop build-dependency on potrace. The upstream build
    system is no longer having compile-time check on the software. Note that
    we still keep potrace in the binary Suggests: field. (Closes: #1035822)

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jun 2024 12:46:40 -0400

fontforge (1:20230101~dfsg-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/patches/:
    + 0006-Update-po-files-from-Croudin-sources-after-fixing-pr.patch:
      Cherry-pick upstream PR #5330 to refresh po/ directory and fix
      FTBFS with gettext 0.22.5. (Closes: #1074258)

  [ David (Plasma) Paul ]
  * Fully support the nodoc build profile. (Closes: #1035892)
    - Don't build fontforge-doc in nodoc build profile.
    - Mark Build-Depend:python3-sphinx <!nodoc>.

 -- Boyuan Yang <byang@debian.org>  Wed, 26 Jun 2024 10:37:51 -0400

fontforge (1:20230101~dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2024-25081: Spline Font command injection via crafted filenames
  * CVE-2024-25082: Spline Font command injection via crafted archives
    or compressed files
  * Closes: #1064967

 -- Adrian Bunk <bunk@debian.org>  Fri, 08 Mar 2024 01:15:58 +0200

fontforge (1:20230101~dfsg-1) unstable; urgency=medium

  * New upstream version 20230101~dfsg
    which incidentally fixes a FTFBS bug with fonts-ocr-a, see #1015092
    and https://github.com/fontforge/fontforge/issues/5070
  * Remove build-dependency on libuninameslist-dev, as upstream has switched
    from libuninameslist to internal nameslist functions since April 2021
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove Debian patches that have been merged upstream.
    Special thanks to Jan Tojnar who contributed an enhanced version of
    0001-add-extra-cmake-install-rules.patch upstream;
    see https://github.com/fontforge/fontforge/pull/4941
  * Drop /usr/share/fontforge/python/simple/ from python3-fontforge.
    Jeremy Tan explained in https://github.com/fontforge/fontforge/pull/4941:
        It's a bunch of toy scripts, but they're basic/half-broken and are not
        easily discoverable, so yeah, no reason to bundle it
    I must have inadvertently reverted Jonas Smedegaard’s 2020-06-02 fix
    "stop ship python simple/* scripts: No longer installed upstream"
    in commit 4a44d9a38025f7b610292cfb1c6c3502cd315158 (Sorry!)
  * Fix Lintian build-depends-on-obsolete-package warning on libtiff5-dev
    by build-depending on libtiff-dev instead
  * Fix miscellaneous errors and warnings detected by Lintian

 -- Anthony Fok <foka@debian.org>  Wed, 18 Jan 2023 11:05:41 -0700
