=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Davide Viti <zinosat@tiscali.it>,
  Hideki Yamane <henrich@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
  Anthony Fok <foka@debian.org>
 Build-Depends:
@@ -21,23 +20,23 @@
  libjpeg-dev,
  libpango1.0-dev,
  libpng-dev,
+ libpython3-dev,
  libspiro-dev,
- libtiff5-dev,
- libuninameslist-dev,
+ libtiff-dev,
  libxml2-dev,
  libglib2.0-dev,
  ninja-build,
- python3,
- python3-dev,
+ python3:any,
+ python3-dev:any,
+ python3-setuptools,
  libwoff-dev,
  libgtk-3-dev,
- pkg-kde-tools
+ pkg-kde-tools,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  desktop-file-utils,
- potrace,
- python3-sphinx,
-Standards-Version: 4.6.1
+ python3-sphinx <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://fontforge.github.io/en-US/
 Vcs-Git: https://salsa.debian.org/fonts-team/fontforge.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fontforge
@@ -119,6 +118,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ python3-pkg-resources,
  ${misc:Depends},
  ${shlibs:Depends}
 Breaks:
@@ -147,7 +147,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
-Recommends: 
+Recommends:
  fontforge-nox | fontforge,
 Breaks:
  python-fontforge
@@ -165,6 +165,7 @@
 
 Package: fontforge-doc
 Section: doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
